# LobbyService (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.micasa.lobby
Interface LobbyService

All Superinterfaces:
  com.threerings.presents.client.InvocationService

All Known Implementing Classes:
  LobbyMarshaller

    public interface LobbyService

extends com.threerings.presents.client.InvocationService

Provides an interface to the various parlor services that are directly invokable by the client (by means of the invocation services).

Nested Class Summary
`static interface` `LobbyService.CategoriesListener` Used to communicate the results of a `getCategories(com.threerings.micasa.lobby.LobbyService.CategoriesListener)` request.
`static interface` `LobbyService.LobbiesListener` Used to communicate the results of a `getLobbies(java.lang.String, com.threerings.micasa.lobby.LobbyService.LobbiesListener)` request.

Nested classes/interfaces inherited from interface com.threerings.presents.client.InvocationService
`com.threerings.presents.client.InvocationService.ConfirmListener, com.threerings.presents.client.InvocationService.InvocationListener, com.threerings.presents.client.InvocationService.ResultListener`

Method Summary
`void` `getCategories(LobbyService.CategoriesListener listener)` Requests the list of lobby categories that are available on this server.
`void` `getLobbies(String category, LobbyService.LobbiesListener listener)` Requests information on all active lobbies that match the specified category.

Method Detail

### getCategories

    void getCategories(LobbyService.CategoriesListener listener)

  Requests the list of lobby categories that are available on this server.

  Parameters:
    `listener` - the listener that will receive and process the response.

### getLobbies

    void getLobbies(String category,
                    LobbyService.LobbiesListener listener)

  Requests information on all active lobbies that match the specified category.

  Parameters:
    `category` - the category of game for which a list of lobbies is desired.
    `listener` - the listener that will receive and process the response.

Copyright © 2011. All Rights Reserved.